// this is a basic Node class that I wrote

public class Node extends Object
{
  private Node next; // the next node in the list
  private Object myItem; // the item this node contains

  /*
    pre: none
    post: the pointer to the next Node in the list is set to who
  */
  public void setNext(Node who)
  { this.next = who;
  }

  /*
    pre: none
    post: returns the next node in the list
  */
  public Node getNext()
  { return this.next;
  }
  /*
    pre: none
    post: sets the item for this node to item
  */
  public void setItem(Object item)
  { this.myItem = item;
  }
  /*
    pre: none
    post: returns the item for this node
  */
  public Object getItem()
  { return this.myItem;
  }

  /*
    pre: none
    post: constructs a node with an Object 'item', and pointing to 'next'.
  */
  public Node(Object item,Node next)
  { this.next = next;
    this.myItem = item;
  }

}