public class EventQueue extends Queue
{
  public EventQueue()
  { super();
  }

  public void pushSort(Event what) // this adds an event to the event queue, and places it in order with the other events in the queue
  { Node holder = this.head; // the current node for our loop
    Node prev = null; // the previous node for our loop
    boolean loopDone = false; // keeps track of whether or not our loop is done

    while(holder != null && !loopDone)
    {
      if(what.getTime() <=((Event)holder.getItem()).getTime())
      { loopDone = true;

      }
      if(!loopDone)
      { prev = holder;
        holder = holder.getNext();
      }

    }
    if (prev!=null) // Set what into link
    { prev.setNext(new Node(what,holder));
    }
    else
    { head = new Node(what,holder);
    }
  }
}