

public class Queue extends Object
{
  protected Node tail;
  protected Node head;
  private int size;

  public Queue()
  { head = null;
    tail = null;
    size = 0;
  }

  public void push(Object who)
  {
    if(size == 0)
    { tail = new Node(who,null);
      head = tail;
      //System.out.println("Adding to size " + this.size);
    }
    else
    { tail.setNext(new Node(who,null));
      tail = tail.getNext();
      //System.out.println("Adding to size " + this.size);
    }
    this.size++;
  }

  public Object pop()
  { if(head != null)
    {
      Object temp = head.getItem();
      head = head.getNext();
      if(head == null) // if head is now null, that means we shouldn't have tail pointing to anything either
      { tail = null;
      }
      this.size--;
      return temp;
    }
    else
    { System.out.println("Queue isn't set up right, retard");
      return null;
    }
  }

  public Object peek()
  { return head.getItem();
  }

  public int size()
  { return this.size;
  }

  public int getSize()
  { Node use = head;
    int size = 0;
    while (use.getNext() != null)
    { size++;
      use = use.getNext();
    }
    return size+1;
  }

  public boolean isEmpty()
  { return (this.size == 0);
  }

}